Issue #18034 has been updated by kou (Kouhei Sutou).


It may be true because Fiddle has patches only for Windows.

I'm OK that we declares that `--enable-bundled-libffi` isn't supported on macOS.

----------------------------------------
Bug #18034: Segmentation fault fiddle with `--enable-bundled-libffi` and macOS
https://bugs.ruby-lang.org/issues/18034#change-94913

* Author: hsbt (Hiroshi SHIBATA)
* Status: Assigned
* Priority: Normal
* Assignee: kou (Kouhei Sutou)
* Backport: 2.6: UNKNOWN, 2.7: UNKNOWN, 3.0: UNKNOWN
----------------------------------------
I always got a segmentation fault with `make test-all TESTS="fiddle"` and `--enable-bundled-libffi` on macOS.

https://gist.github.com/hsbt/9f7dc9f62e9197b92c5a99384972dad3

---Files--------------------------------
ruby_2021-07-09-150420_xxx.crash (12.9 KB)


-- 
https://bugs.ruby-lang.org/

Unsubscribe: <mailto:ruby-core-request / ruby-lang.org?subject=unsubscribe>
<http://lists.ruby-lang.org/cgi-bin/mailman/options/ruby-core>